// Code aus Application Note von Altera

module ram (
 output reg  [7:0] q,
 input  wire [7:0] d,
 input  wire [11:0] write_address, read_address,
 input  wire we, clk
);
 reg [7:0] mem [0:2399];


 initial // read contents from file
  $readmemh("screen.dmp", mem);

 
 always @ (posedge clk) begin
  if (we) mem[write_address] <= d;
  q <= mem[read_address];
 end
 
endmodule // ram 

