// Code aus Application Note von Altera

module rom (
 input  wire [(addr_width-1):0] addr_a,
 input  wire clk,
 output reg  [(data_width-1):0] q_a
);
 parameter data_width = 8;
 parameter addr_width = 10;
 
 reg [data_width-1:0] rom[0:2**addr_width-1];
 
 initial // read contents from file
  $readmemh("charset.txt", rom);
  
 always @ (posedge clk)
  q_a <= rom[addr_a];

endmodule // rom
